(function ($){
    $(document).ready(function() {
        var mobile_width = 751; //768px viewport
        var tablette_width = 1008; //1024px viewport

        $('#block-simplenews-0 form#simplenews-subscriptions-multi-block-form .form-item-mail input').attr('type', 'email');
        $('#block-simplenews-0 form#simplenews-subscriptions-multi-block-form .form-item-mail input').attr('required','required');
        $('#block-simplenews-0 form#webform-client-form-1193 .form-item input').attr('required','required');

        $('.article .image-wrapper').mouseenter(function() {
            $(this).find('.wrapper-link').show('slide',{direction: 'left'}, 150);
        });
        $('.article .image-wrapper').mouseleave(function() {
            $(this).find('.wrapper-link').hide('slide',{direction: 'left'},150);
        });

        $('body.page-node.node-type-art-press-rew .view-synthesis-of-bioethics-press .article .image-wrapper').each(function(){

            $(this).unbind('mouseenter');

            $(this).find('.corner-color').mouseenter(function() {

                $(this).parents('.image-wrapper').find('.wrapper-link').show('slide',{direction: 'left'}, 150);

                $('.article .image-wrapper').mouseleave(function() {
                    $(this).find('.wrapper-link').hide('slide',{direction: 'left'}, 150);
                });

            });

        });




        //main menu - mobile - search dropdown
        $('#top .inner-wrapper .search-wrapper .button-wrapper a.toggle-search-form').click(function() {
            if ($(this).parents('.search-wrapper').hasClass('active')) {
                $(this).parents('.search-wrapper').removeClass('active');
            } else {
                $(this).parents('.search-wrapper').addClass('active');
            }
        });

        //main menu - sub nav dropdown
        $('#top .inner-wrapper .navigation ul.nav li').each(function() {
            if ($(this).find('.sub-nav').length > 0){
                $(this).find('.sub-nav').mouseenter(function() {
                    $(this).parents('li').addClass('active');
                });
                $(this).find('.sub-nav').mouseleave(function() {
                    $(this).parents('li.active').removeClass('active');
                });
            }
            $('#top .navigation .sub-nav').siblings('a').length;
        });

        $('#top .navigation .sub-nav').siblings('a').click(function(event) {
            event.preventDefault();
        });

        $('#top .inner-wrapper a.toggle-nav').each(function(){
            $(this).mouseenter(function() {
                $(this).addClass('active');
                $(this).parents('.table-wrapper').find('nav.navigation').addClass('active');
            });
            $(this).parents('.table-wrapper').find('nav.navigation').mouseenter(function() {
                $(this).parents('.table-wrapper').find('a.toggle-nav').addClass('active');
                $(this).parents('.table-wrapper').find('nav.navigation').addClass('active');
            });
            $(this).mouseleave(function() {
                $(this).removeClass('active');
                $(this).parents('.table-wrapper').find('nav.navigation').removeClass('active');
            });
            $(this).parents('.table-wrapper').find('nav.navigation').mouseleave(function() {
                $(this).removeClass('active');
                $(this).parents('.table-wrapper').find('a.toggle-nav').removeClass('active');
            });
        });

        $('#lang-dropdown-select-language').fancySelect();
        $('#lang_dropdown_form_language .fancy-select .options li').click(function(){
            $('#lang-dropdown-select-language').val($(this).attr('data-raw-value'));
            $('#lang_dropdown_form_language').submit();
        });

//        $('select#edit-tid').fancySelect();
//        $('select#edit-type').fancySelect();
        var select_user_id = $('.form-item-uid select');
//        select_user_id.prop("disabled", true );
select_user_id.fancySelect();

    $('.form-select').fancySelect();

//        enable select user when the select type have article expert value
//        $('.form-type-select.form-item-type .fancy-select ul.options li').click(function () {
//            if ( $(this).attr('data-raw-value') === 'art_exp' ){
//                select_user_id.prop( "disabled", false );
//                select_user_id.trigger( 'enable' );
//            } else {
//                select_user_id.prop( "disabled", true );
//                select_user_id.trigger( 'disable' );
//            }
//        });

if ($('#block-views-free-order-block').length > 0) {
    initFreeOrderCarousel();
}

        //input,textarea placeholder for ie9
        $('input, textarea').placeholder();

        $('#block-simplenews-0 input[type="checkbox"]').iCheck({
            checkboxClass: 'icheckbox_flat-blue',
            radioClass: 'iradio_flat-blue'
        });

        $('#block-simplenews-0 input[type="checkbox"]').on('ifClicked',function(event){
            if($(this).is(':checked')){
                $(this).iCheck('uncheck');
            }else{
                $('#block-simplenews-0 input[type="checkbox"]').not($(this)).iCheck('uncheck');
                $(this).iCheck('check');
            }
            $(this).trigger('change');
        });

        //Bioetics folder - official text vertical scroll
        $('.page-taxonomy-term .vocabulary-themes .official-text.side-block .view-content').each(function() {
            $(this).jScrollPane();
            var jsp = $(this).data('jsp');
            $(window).resize(function (){
                jsp.reinitialise();
            });
        });

        //Donate panel toggle
        $('#bottom.region nav.menu-bottom a.donate-toggle').each(function() {

            var block_donation = $('#popup.region #block-boxes-donation-popup');

            $(this).click(function(event){
                event.preventDefault();
                block_donation.css('visibility','visible');
            });
            block_donation.find('a.close-button').click(function(event){
                event.preventDefault();
                block_donation.css('visibility','hidden');
            });
        });

        //Newsletter Form
        $('form#simplenews-subscriptions-multi-block-form .form-item-mail').each(function() {

            $(this).next('input[type="submit"]').andSelf().wrapAll('<div class="newsletter-mail-wrapper"></div>');
            var lang = $('html').attr('lang');
            $(this).parents('form').find('#edit-newsletters input#edit-newsletters-48').change(function (){
                // delete all captcha if the exist
                $(this).parents('#block-simplenews-0.block.block-simplenews').find('div#genethique_captcha').remove();
                $(this).parents('#block-simplenews-0.block.block-simplenews').find('script').remove();

                if($(this).is(':checked')){
                    $(this).parents('form').find('.newsletter-mail-wrapper').show();
                    $(this).parents('#block-simplenews-0').find('#block-webform-client-block-1193').hide();
                    $(this).parents('#block-simplenews-0').find('input#edit-newsletters-49').attr('checked',false);
                    $(this).parents('#block-simplenews-0').find('input#edit-newsletters-50').attr('checked',false);
                    // show captcha
                    if($(this).parents('body').hasClass("page-node-1194") || $(this).parents('body').hasClass("page-node-1195")){
                        $(this).parents('#block-simplenews-0.block.block-simplenews').find('.newsletter-mail-wrapper').find(".form-item.form-type-textfield.form-item-mail").after('<div id="genethique_captcha" style="margin:10px 0px;"></div>');
                        $(this).parents('#block-simplenews-0.block.block-simplenews').find('.newsletter-mail-wrapper').after('<script src="https://www.google.com/recaptcha/api.js?hl='+lang+'&onload=onloadCallback&render=explicit" async defer></script>');
                    }
                }else{
                    $(this).parents('form').find('.newsletter-mail-wrapper').hide();
                    // delete captcha
                    $(this).parents('#block-simplenews-0.block.block-simplenews').find('div#genethique_captcha').remove();
                    $(this).parents('#block-simplenews-0.block.block-simplenews').find('script').remove();
                }
            });

            $(this).parents('form').find('#edit-newsletters input#edit-newsletters-50').change(function (){
                // delete all captcha if the exist
                $(this).parents('#block-simplenews-0.block.block-simplenews').find('div#genethique_captcha').remove();
                $(this).parents('#block-simplenews-0.block.block-simplenews').find('script').remove();

                if($(this).is(':checked')){
                    $(this).parents('#block-simplenews-0').find('#block-webform-client-block-1193').show();
                    $(this).parents('#block-simplenews-0').find('.newsletter-mail-wrapper').hide();
                    $(this).parents('#block-simplenews-0').find('input#edit-newsletters-48').attr('checked',false);
                    $(this).parents('#block-simplenews-0').find('input#edit-newsletters-49').attr('checked',false);
                    // show captcha
                    if($(this).parents('body').hasClass("page-node-1194") || $(this).parents('body').hasClass("page-node-1195")){
                        $(this).parents('#block-simplenews-0.block.block-simplenews').find('#block-webform-client-block-1193 form.webform-client-form').find('.form-actions.form-wrapper').before('<div id="genethique_captcha" style="margin-bottom:10px;"></div>');
                        $(this).parents('#block-simplenews-0.block.block-simplenews').find('#block-webform-client-block-1193 form.webform-client-form').after('<script src="https://www.google.com/recaptcha/api.js?hl='+lang+'&onload=onloadCallback&render=explicit" async defer></script>');
                    }
                }else{
                    $(this).parents('#block-simplenews-0').find('#block-webform-client-block-1193').hide();
                    // delete captcha
                    $(this).parents('#block-simplenews-0.block.block-simplenews').find('#block-webform-client-block-1193 form.webform-client-form').find('div#genethique_captcha').remove();
                    $(this).parents('#block-simplenews-0.block.block-simplenews').find('#block-webform-client-block-1193 script').remove();
                }
            });

            $(this).parents('form').find('#edit-newsletters input#edit-newsletters-49').change(function (){
                // delete all captcha if the exist
                $(this).parents('#block-simplenews-0.block.block-simplenews').find('div#genethique_captcha').remove();
                $(this).parents('#block-simplenews-0.block.block-simplenews').find('script').remove();

                if($(this).is(':checked')){
                    $(this).parents('form').find('.newsletter-mail-wrapper').show();
                    $(this).parents('#block-simplenews-0').find('#block-webform-client-block-1193').hide();
                    $(this).parents('#block-simplenews-0').find('input#edit-newsletters-48').attr('checked',false);
                    $(this).parents('#block-simplenews-0').find('input#edit-newsletters-50').attr('checked',false);
                    // show captcha
                    if($(this).parents('body').hasClass("page-node-1194") || $(this).parents('body').hasClass("page-node-1195")){
                        $(this).parents('#block-simplenews-0.block.block-simplenews').find('.newsletter-mail-wrapper').find(".form-item.form-type-textfield.form-item-mail").after('<div id="genethique_captcha" style="margin:10px 0px;"></div>');
                        $(this).parents('#block-simplenews-0.block.block-simplenews').find('.newsletter-mail-wrapper').after('<script src="https://www.google.com/recaptcha/api.js?hl='+lang+'&onload=onloadCallback&render=explicit" async defer></script>');
                    }
                }else{
                    $(this).parents('form').find('.newsletter-mail-wrapper').hide();
                    // delete captcha
                    $(this).parents('#block-simplenews-0.block.block-simplenews').find('#block-webform-client-block-1193 form.webform-client-form').find('div#genethique_captcha').remove();
                    $(this).parents('#block-simplenews-0.block.block-simplenews').find('#block-webform-client-block-1193 script').remove();
                }
            });
            $(this).parents('form').find('#edit-newsletters input#edit-newsletters-53').change(function (){
                // delete all captcha if the exist
                $(this).parents('#block-simplenews-0.block.block-simplenews').find('div#genethique_captcha').remove();
                $(this).parents('#block-simplenews-0.block.block-simplenews').find('script').remove();

                if($(this).is(':checked')){
                    $(this).parents('form').find('.newsletter-mail-wrapper').show();
                    $(this).parents('#block-simplenews-0').find('input#edit-newsletters-49').attr('checked',false);

                    // show captcha
                    if($(this).parents('body').hasClass("page-node-1194") || $(this).parents('body').hasClass("page-node-1195")){
                        $(this).parents('#block-simplenews-0.block.block-simplenews').find('.newsletter-mail-wrapper').find(".form-item.form-type-textfield.form-item-mail").after('<div id="genethique_captcha" style="margin:10px 0px;"></div>');
                        $(this).parents('#block-simplenews-0.block.block-simplenews').find('.newsletter-mail-wrapper').after('<script src="https://www.google.com/recaptcha/api.js?hl='+lang+'&onload=onloadCallback&render=explicit" async defer></script>');
                    }
                }else{
                    $(this).parents('form').find('.newsletter-mail-wrapper').hide();
                    // delete captcha
                    $(this).parents('#block-simplenews-0.block.block-simplenews').find('#block-webform-client-block-1193 form.webform-client-form').find('div#genethique_captcha').remove();
                    $(this).parents('#block-simplenews-0.block.block-simplenews').find('#block-webform-client-block-1193 script').remove();
                }
            });

        });

$('.views-widget-filter-created input, .views-widget-filter-created_1 input').datepicker();

$.datepicker.regional['fr'];

        //Bibliography select trigger
        $('form#views-exposed-form-bibliography-page .fancy-select ul.options li').click(function (){
            $('form#views-exposed-form-bibliography-page select#edit-field-biblio-theme-tid').val($(this).attr('data-raw-value'));
            $('form#views-exposed-form-bibliography-page').submit();
        });

        //Close button for the banner
        $('#block-views-banner-block .content .banner .image-wrapper .close-button').each(function (){
            $(this).click(function(event){
                event.preventDefault();
                $(this).parents('#block-views-banner-block').hide('slide',{direction: 'up'},150);
            });
        });

        //Close button for flashnews
        $('#block-views-newsflash-block .flash-news a.close-button').each(function (){
            $(this).click(function(){
                $(this).parents('#block-views-newsflash-block').hide('slide',{direction: 'up'},150);
            });
        });

        //dropdown header search form
        $('header .search-wrapper form#views-exposed-form-search-page').each(function (){
            var show_button = $(this).find('button.show-button');
            var hide_button = $(this).find('button.hide-button');
            var additional_field_block = $(this).find('.additional-field-wrapper');

            show_button.click(function (){
                additional_field_block.show("slide",{direction: "up"},150);
                show_button.hide();
                hide_button.show();
            });

            hide_button.click(function (){
                additional_field_block.hide("slide", {direction: "up"},150);
                show_button.show();
                hide_button.hide();
            });
        });

        //dropdown top menu search form
        $('#top.region .search-wrapper form').each(function (){
            var show_button = $(this).find('button.show-button');
            var hide_button = $(this).find('button.hide-button');
            
            var additional_field_block = $(this).find('.additional-field-wrapper');

            show_button.click(function (){
                additional_field_block.show("slide",{direction: "up"},200);
                show_button.hide();
                hide_button.show();
            });

            hide_button.click(function (){
                additional_field_block.hide("slide", {direction: "up"},200);
                show_button.show();
                hide_button.hide();
            });

        });

        //Dropdown Offtext type
        $('#block-system-main .official-text-page .text-official-type .offtxt-type-dropdown').each(function (){
            var show_button = $(this).find('button.show-button');
            var hide_button = $(this).find('button.hide-button');
            var offtxt_block = $(this).parents('.text-official-type').find('.view-official-text');

            show_button.click(function (event){
                event.preventDefault();
                offtxt_block.show('slide',{direction: 'up'},150);
                show_button.hide();
                hide_button.show();
            });

            hide_button.click(function (event){
                event.preventDefault();
                offtxt_block.hide('slide',{direction: 'up'},150);
                show_button.show();
                hide_button.hide();
            });

            show_button.trigger('click');

            offtxt_block.hide();
            show_button.show();
            hide_button.hide();
        });

        //Readmore bibliography
        $('body.page-bibliography .view-bibliography .summary').each(function (){
            var number_of_char = 200;

            if($(this).find('span.text').text().length > number_of_char){
                var show_button = $(this).find('button.show-overflow');
                var hide_button = $(this).find('button.hide-overflow');

                var description_text_long = $(this).find('span.text').text() + ' ';
                var description_text_short = description_text_long.substring(0, number_of_char) + '... ';


                show_button.click(function (event){
                    event.preventDefault();
                    $(this).parents('.document .description').find('span.text').text(description_text_long);
                    show_button.hide();
                    hide_button.show();
                });

                hide_button.click(function (event){
                    event.preventDefault();
                    $(this).parents('.document .description').find('span.text').text(description_text_short);
                    show_button.show();
                    hide_button.hide();
                });

                hide_button.trigger('click');
            } else {
                $(this).find('button.show-overflow').hide();
                $(this).find('button.hide-overflow').hide();
            }
        });

        //Readmore button in Official text
        $('#block-system-main .official-text-page .official-text .offtxt-content').each(function (){
            var number_of_char = 700;

            if($(this).find('span.text').text().length > number_of_char){
                var show_button = $(this).find('button.show-overflow');
                var hide_button = $(this).find('button.hide-overflow');

                var description_text_long = $(this).find('span.text').text() + ' ';
                var description_text_short = description_text_long.substring(0, number_of_char) + '... ';

                show_button.click(function (event){
                    event.preventDefault();
                    $(this).parents('.offtxt-content').find('p span.text').text(description_text_long);
                    show_button.hide();
                    hide_button.show();
                });

                hide_button.click(function (event){
                    event.preventDefault();
                    $(this).parents('.offtxt-content').find('p span.text').text(description_text_short);
                    show_button.show();
                    hide_button.hide();
                });

                hide_button.trigger('click');
            } else {
                $(this).find('button.show-overflow').hide();
                $(this).find('button.hide-overflow').hide();
            }
        });

        //Readmore all work
        $('#block-system-main .work .description').each(function(){
            var number_of_char = 400;

            if($(this).find('span.work-text').text().length > number_of_char){
                var show_button = $(this).find('button.show-overflow');
                var hide_button = $(this).find('button.hide-overflow');

                var description_text_long = $(this).find('span.work-text').text() + ' ';
                var description_text_short = description_text_long.substring(0, number_of_char) + '... ';


                show_button.click(function (event){
                    event.preventDefault();
                    $(this).parents('.work .description').find('.work-text').text(description_text_long);
                    show_button.hide();
                    hide_button.show();
                });

                hide_button.click(function (event){
                    event.preventDefault();
                    $(this).parents('.work .description').find('.work-text').text(description_text_short);
                    show_button.show();
                    hide_button.hide();
                });

                hide_button.trigger('click');
            } else {
                $(this).find('button.show-overflow').hide();
                $(this).find('button.hide-overflow').hide();
            }
        });

        //Readmore button in bioetics folder
        $('#block-system-main .taxonomy-term .folder-presentation .taxonomy-term-description').each( function (){
            var number_of_char = 1000;

            var show_button = $(this).parents('.folder-presentation').find('button.show-overflow');
            var hide_button = $(this).parents('.folder-presentation').find('button.hide-overflow');

            var description_text_long = $(this).html() + ' ';
            var description_text_short = description_text_long.substring(0, number_of_char) + '... ';

            $(this).wrapInner("<span class='text'></span>");
            $(this).append(show_button).append(hide_button);


            show_button.click(function (event) {
                event.preventDefault();
                $(this).parents('.folder-presentation').find('.taxonomy-term-description span.text').html(description_text_long);
                show_button.hide();
                hide_button.show();
            });

            hide_button.click(function (event) {
                event.preventDefault();
                $(this).parents('.folder-presentation').find('.taxonomy-term-description span.text').html(description_text_short);
                show_button.show();
                hide_button.hide();
            });

            hide_button.trigger('click');

        });

        //Readmore button in partners description
        $('.view-partners.partner-list .view-content .partner').each( function () {
            var number_of_char = 300;

            var block_text = $(this).find('.text');
            var link_readmore = $(this).find('button.show-overflow');
            var link_close    = $(this).find('button.hide-overflow');
            var partner_text_long  = block_text.find('.partner-text').text();
            var partner_text_short = partner_text_long.substring(0,number_of_char) + '...';

            link_readmore.click(function (event) {
                event.preventDefault();
                $(this).parents('.partner').find('.partner-text').text(partner_text_long);
                link_close.show();
                link_readmore.hide();
            });

            link_close.click(function (event) {
                event.preventDefault();
                $(this).parents('.partner').find('.partner-text').text(partner_text_short);
                link_close.hide();
                link_readmore.show();
            });

            link_close.trigger('click');
        });

function initFreeOrderCarousel() {
    $('#block-views-free-order-block .view-content').owlCarousel({
        items : 1,
        itemsDesktopSmall: [tablette_width, 1],
        itemsDesktop: false,
        itemsTablet: [mobile_width, 1],
        pagination: false,
        navigation: true,
        navigationText: ['<i class="icon-left-open-big"></i>','<i class="icon-right-open-big"></i>']
    });
}

function initArticleCarousel() {
    $('.press-review.block .view-content').owlCarousel({
        items : 2,
        itemsDesktopSmall: [1025,2],
        itemsTablet: [768,2],
        navigation: false,
        pagination: false,
        afterMove: function(){
            $('.scroll-article').slider('value',this.currentItem);
        }
    });

    var scroll_article = $('.scroll-article').slider({
        max   : $('.press-review.block .view-content .article').length - 2,
        step  : 0.1,
        slide : function ( event, ui ){
            $('.press-review.block .view-content').data('owlCarousel').goTo(Math.round(ui.value));
            console.log(ui.value);
        }
    });

}

function initFolderCarousel() {
    $('.slide-menu .folders').owlCarousel({
        items : 7,
        itemsDesktop: false,
        itemsDesktopSmall: [1025,7],
        itemsTablet: [768,6],
        navigation: true,
        navigationText: ['<i class="icon-left-open-big"></i>','<i class="icon-right-open-big"></i>'],
        pagination: false,
        afterMove: function () {
            $('.scroll-folder').slider('value', this.currentItem);
        }
    });

    var slide_number = Math.round($('.slide-menu .bioethic-folder').length / $('.slide-menu .folders').data('owlCarousel').orignalItems);
    var scroll_folder = $('.scroll-folder').slider({
        max   : slide_number,
        step  : 0.01,
        slide : function ( event, ui ) {
            $('.slide-menu .folders').data('owlCarousel').goTo(Math.round(ui.value));
        }
    });
}


if ($('.slide-menu .folders').length > 0) {
    initFolderCarousel();
}

if ($(window).width() > mobile_width
    && $(window).width() < tablette_width){
    initArticleCarousel();
}

$(window).resize(function () {
    if ($(window).width() >= tablette_width
        || $(window).width() <= mobile_width) {

        if (typeof $('.front .press-review.block .view-content').data('owlCarousel') !== 'undefined'
            && $('.front .press-review.block .view-content').data('owlCarousel') !== null) {
            $('.front .press-review.block .view-content').data('owlCarousel').destroy();
    }

} else if ($(window).width() > mobile_width &&
   $(window).width() < tablette_width){

    if (typeof $('.front .press-review.block .view-content').data('owlCarousel') !== 'undefined'
        || $('.front .press-review.block .view-content').data('owlCarousel') !== null) {
        initArticleCarousel();
}

} else {
    initArticleCarousel();
}
});

});

}(jQuery));